Codebase list xrdp / run/d7bbc10d-19ec-4f76-8277-bb56880d5a96/main bootstrap
run/d7bbc10d-19ec-4f76-8277-bb56880d5a96/main

Tree @run/d7bbc10d-19ec-4f76-8277-bb56880d5a96/main (Download .tar.gz)

bootstrap @run/d7bbc10d-19ec-4f76-8277-bb56880d5a96/mainraw · history · blame

#!/bin/sh

command -v autoconf
if ! test $? -eq 0
then
  echo "error, install autoconf"
  exit 1
fi

command -v automake
if ! test $? -eq 0
then
  echo "error, install automake"
  exit 1
fi

command -v libtool || command -v libtoolize
if ! test $? -eq 0
then
  echo "error, install libtool"
  exit 1
fi

command -v pkg-config
if ! test $? -eq 0
then
  echo "error, install pkg-config"
  exit 1
fi

if ! test -f libpainter/configure.ac
then
  git submodule update --init libpainter
fi

if ! test -f librfxcodec/configure.ac
then
  git submodule update --init librfxcodec
fi

autoreconf -fvi